Package ghidra.app.util.bin.format.golang.rtti

# Enum Class GoSymbolNameType

java.lang.Object
java.lang.Enum<GoSymbolNameType>
ghidra.app.util.bin.format.golang.rtti.GoSymbolNameType

All Implemented Interfaces:
  `Serializable`, `Comparable<GoSymbolNameType>`, `Constable`

public enum GoSymbolNameType extends Enum<GoSymbolNameType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANON_FUNC`
  `DATA_TYPE`
  `DEFER_WRAPPER`
  `FUNC`
  `GO_WRAPPER`
  `METHOD_WRAPPER`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GoSymbolNameType`
  `fromNameSuffix(String suffix)`
  `static GoSymbolNameType`
  `fromNameWithDashSuffix(String name)`
  `boolean`
  `isClosure()`
  `static GoSymbolNameType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GoSymbolNameType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final GoSymbolNameType UNKNOWN

  - ### FUNC

    public static final GoSymbolNameType FUNC

  - ### METHOD_WRAPPER

    public static final GoSymbolNameType METHOD_WRAPPER

  - ### ANON_FUNC

    public static final GoSymbolNameType ANON_FUNC

  - ### DEFER_WRAPPER

    public static final GoSymbolNameType DEFER_WRAPPER

  - ### GO_WRAPPER

    public static final GoSymbolNameType GO_WRAPPER

  - ### DATA_TYPE

    public static final GoSymbolNameType DATA_TYPE

- ## Method Details

  - ### values

    public static GoSymbolNameType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GoSymbolNameType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isClosure

    public boolean isClosure()

  - ### fromNameWithDashSuffix

    public static GoSymbolNameType fromNameWithDashSuffix(String name)

  - ### fromNameSuffix

    public static GoSymbolNameType fromNameSuffix(String suffix)